-- Author: Hayden Hargreaves (hhargreaves2006@gmail.com)
-- Desc:   Create the users table in the database.
-- Date:   06/13/2025

BEGIN;

-- Create the users table
CREATE TABLE IF NOT EXISTS Users (
  Id SERIAL PRIMARY KEY NOT NULL, 
  GoogleId TEXT UNIQUE NOT NULL,
  Name VARCHAR(64) NOT NULL,
  Email VARCHAR(128) UNIQUE NOT NULL,
  ImageUrl TEXT,
  GoogleRefreshToken TEXT,
  Created TIMESTAMPTZ NOT NULL DEFAULT NOW()
);

COMMIT;
